test: tagW32JOB struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagW32JOB Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

tagW32JOB * | pNext
PEJOB | Job
PVOID | pAtomTable
DWORD | restrictions
UINT | uProcessCount
UINT | uMaxProcesses
PPROCESSINFO * | ppiTable
UINT | ughCrt
UINT | ughMax
PULONG_PTR | pgh

## Member Data Documentation

PEJOB tagW32JOB::Job

| Definition at line 3445 of file userk.h. Referenced by CreateW32Job(), NtUserUserHandleGrantAccess(), UpdateJob(), UserGlobalAtomTableCallout(), and UserJobCallout().

PVOID tagW32JOB::pAtomTable

| Definition at line 3446 of file userk.h. Referenced by CreateW32Job(), JobCalloutTerminate(), and UserGlobalAtomTableCallout().

PULONG_PTR tagW32JOB::pgh

| Definition at line 3453 of file userk.h. Referenced by HMCleanupGrantedHandle(), IsHandleEntrySecure(), JobCalloutTerminate(), and NtUserUserHandleGrantAccess().

struct tagW32JOB* tagW32JOB::pNext

| Definition at line 3444 of file userk.h. Referenced by CreateW32Job(), HMCleanupGrantedHandle(), NtUserUserHandleGrantAccess(), UserGlobalAtomTableCallout(), and UserJobCallout().

PPROCESSINFO* tagW32JOB::ppiTable

| Definition at line 3450 of file userk.h. Referenced by JobCalloutAddProcess(), JobCalloutTerminate(), and RemoveProcessFromJob().

DWORD tagW32JOB::restrictions

| Definition at line 3447 of file userk.h. Referenced by PrepareForLogoff(), SetProcessFlags(), and UserJobCallout().

UINT tagW32JOB::ughCrt

| Definition at line 3451 of file userk.h. Referenced by HMCleanupGrantedHandle(), IsHandleEntrySecure(), JobCalloutTerminate(), and NtUserUserHandleGrantAccess().

UINT tagW32JOB::ughMax

| Definition at line 3452 of file userk.h. Referenced by IsHandleEntrySecure(), JobCalloutTerminate(), and NtUserUserHandleGrantAccess().

UINT tagW32JOB::uMaxProcesses

| Definition at line 3449 of file userk.h. Referenced by JobCalloutAddProcess(), and JobCalloutTerminate().

UINT tagW32JOB::uProcessCount

| Definition at line 3448 of file userk.h. Referenced by JobCalloutAddProcess(), JobCalloutTerminate(), and RemoveProcessFromJob().

The documentation for this struct was generated from the following file:

- userk.h